> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rhino.fi/llms.txt
> Use this file to discover all available pages before exploring further.

# User Quote

> Deprecated: Use /quote/bridge-swap/user instead. Fetch bridge user quote when authenticated.



## OpenAPI

````yaml https://api.rhino.fi/bridge/swagger.json post /quote/user
openapi: 3.1.0
info:
  title: Bridge API
  version: 0.0.1
  description: Functionality for interacting with Rhino bridge service
servers:
  - url: https://api.rhino.fi/bridge
security: []
tags:
  - name: quote
  - name: configs
  - name: history
  - name: swap
  - name: depositAddresses
paths:
  /quote/user:
    post:
      tags:
        - quote
      summary: User Quote
      description: >-
        Deprecated: Use /quote/bridge-swap/user instead. Fetch bridge user quote
        when authenticated.
      operationId: quote.userQuote
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - token
                - chainIn
                - chainOut
                - amount
                - mode
                - depositor
                - recipient
              properties:
                token:
                  type: string
                  description: >-
                    The token symbol to bridge (e.g., "USDT", "USDC"). Must be
                    supported on both source and destination chains.
                chainIn:
                  type: string
                  description: The source chain ID
                chainOut:
                  type: string
                  description: The target chain ID
                amount:
                  $ref: '#/components/schemas/BigDecimalFromString'
                amountNative:
                  $ref: '#/components/schemas/BigDecimalFromString'
                mode:
                  type: string
                  enum:
                    - pay
                    - receive
                  description: >-
                    "pay" for exact amount to pay (including fees), "receive"
                    for exact amount to receive.
                isSda:
                  allOf:
                    - $ref: '#/components/schemas/BooleanFromString'
                  description: >-
                    Optional flag indicating if this quote is for a Smart
                    Deposit Address. Defaults to false.
                depositor:
                  type: string
                  description: The address initiating the bridge transaction.
                recipient:
                  type: string
                  description: The address to receive the bridged tokens.
                postBridgeData:
                  anyOf:
                    - $ref: '#/components/schemas/ExtendedPostBridgeData'
                    - $ref: >-
                        #/components/schemas/StarkwareBtcfiCampaignPostBridgeData
                    - $ref: '#/components/schemas/WirexWrapPostBridgeData'
                    - $ref: '#/components/schemas/WirexWrapSandboxPostBridgeData'
                    - $ref: >-
                        #/components/schemas/StarkwareBtcfiCampaignV2PostBridgeData
                    - $ref: '#/components/schemas/AaveV3SupplyPostBridgeData'
                    - $ref: >-
                        #/components/schemas/RocketFoundationDepositPostBridgeData
                    - $ref: '#/components/schemas/MapleDepositPostBridgeData'
                webhookUrl:
                  type: string
              additionalProperties: false
        required: true
      responses:
        '200':
          description: ConnectedSingleBridgeQuoteResponseSchema
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: >-
                      #/components/schemas/ConnectedSingleBridgeQuoteResponseSchema
                  - $ref: >-
                      #/components/schemas/ConnectedBridgeSwapQuoteResponseSchema
                  - $ref: >-
                      #/components/schemas/ConnectedDepositAddressBridgeQuoteResponseSchema
        '400':
          description: The request did not match the expected schema
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/HttpApiDecodeError'
                  - $ref: '#/components/schemas/InvalidJwt'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Unauthorized'
        '422':
          description: WithdrawLimitReached
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/WithdrawLimitReached'
                  - $ref: '#/components/schemas/DepositLimitReached'
                  - $ref: '#/components/schemas/GasBoostGreaterThanReceiveAmount'
                  - $ref: '#/components/schemas/NegativeReceiveAmount'
                  - $ref: '#/components/schemas/SdaDepositLimitExceeded'
                  - $ref: '#/components/schemas/SdaDepositBelowMinimum'
                  - $ref: '#/components/schemas/InvalidRequest'
      deprecated: true
      security:
        - bearer: []
        - legacyApiKey: []
components:
  schemas:
    BigDecimalFromString:
      type: string
      description: a string to be decoded into a BigDecimal
    BooleanFromString:
      type: string
      enum:
        - 'true'
        - 'false'
      description: a string to be decoded into a boolean
    ExtendedPostBridgeData:
      type: object
      required:
        - _tag
        - vaultId
      properties:
        _tag:
          type: string
          enum:
            - extended
        vaultId:
          $ref: '#/components/schemas/NonNegativeInt'
      additionalProperties: false
    StarkwareBtcfiCampaignPostBridgeData:
      type: object
      required:
        - _tag
      properties:
        _tag:
          type: string
          enum:
            - starkwarebtcfi
      additionalProperties: false
    WirexWrapPostBridgeData:
      type: object
      required:
        - _tag
      properties:
        _tag:
          type: string
          enum:
            - wirexwrap
      additionalProperties: false
    WirexWrapSandboxPostBridgeData:
      type: object
      required:
        - _tag
      properties:
        _tag:
          type: string
          enum:
            - wirexwrapsandbox
      additionalProperties: false
    StarkwareBtcfiCampaignV2PostBridgeData:
      type: object
      required:
        - _tag
        - spans
      properties:
        _tag:
          type: string
          enum:
            - starkwarebtcfiv2
        spans:
          type: array
          items:
            $ref: '#/components/schemas/StarknetFelt'
          description: an array of at most 70 item(s)
          title: maxItems(70)
          maxItems: 70
      additionalProperties: false
    AaveV3SupplyPostBridgeData:
      type: object
      required:
        - _tag
      properties:
        _tag:
          type: string
          enum:
            - aavev3supply
      additionalProperties: false
    RocketFoundationDepositPostBridgeData:
      type: object
      required:
        - _tag
      properties:
        _tag:
          type: string
          enum:
            - rocketfoundationdeposit
      additionalProperties: false
    MapleDepositPostBridgeData:
      type: object
      required:
        - _tag
      properties:
        _tag:
          type: string
          enum:
            - mapledeposit
      additionalProperties: false
    ConnectedSingleBridgeQuoteResponseSchema:
      type: object
      required:
        - _tag
        - chainIn
        - chainOut
        - payAmount
        - payAmountUsd
        - receiveAmount
        - receiveAmountUsd
        - fees
        - token
        - depositor
        - recipient
        - expiresAt
        - quoteId
      properties:
        _tag:
          type: string
          enum:
            - bridge
        chainIn:
          type: string
          description: The source chain ID
        chainOut:
          type: string
          description: The target chain ID
        payAmount:
          $ref: '#/components/schemas/BigDecimalFromString'
        payAmountUsd:
          $ref: '#/components/schemas/BigDecimalFromNumber'
        receiveAmount:
          $ref: '#/components/schemas/BigDecimalFromString'
        receiveAmountUsd:
          $ref: '#/components/schemas/BigDecimalFromNumber'
        fees:
          type: object
          required:
            - fee
            - feeUsd
            - gasFee
            - gasFeeUsd
            - sourceGasFee
            - sourceGasFeeUsd
            - platformFee
            - platformFeeUsd
            - percentageFee
            - percentageFeeUsd
            - percentageFeeAmount
            - percentageFeeThreshold
          properties:
            fee:
              type: string
              description: Total fee amount in token units.
            feeUsd:
              type: number
              description: Total fee amount in USD.
            gasFee:
              $ref: '#/components/schemas/BigDecimalFromString'
            gasFeeUsd:
              $ref: '#/components/schemas/BigDecimalFromNumber'
            sourceGasFee:
              $ref: '#/components/schemas/BigDecimalFromString'
            sourceGasFeeUsd:
              $ref: '#/components/schemas/BigDecimalFromNumber'
            platformFee:
              type: string
              description: Platform fee amount in token units.
            platformFeeUsd:
              type: number
              description: Platform fee amount in USD.
            percentageFee:
              type: string
              description: Percentage-based fee amount in token units.
            percentageFeeUsd:
              type: number
              description: Percentage-based fee amount in USD.
            percentageFeeAmount:
              anyOf:
                - $ref: '#/components/schemas/BigDecimalFromNumber'
                - type: 'null'
              description: Calculated percentage fee amount (null if not applicable).
            percentageFeeThreshold:
              anyOf:
                - $ref: '#/components/schemas/BigDecimalFromNumber'
                - type: 'null'
              description: >-
                Threshold amount for percentage fee calculation (null if not
                applicable).
            sponsoredFees:
              type: object
              required:
                - fee
                - feeUsd
                - gasFee
                - gasFeeUsd
                - sourceGasFee
                - sourceGasFeeUsd
                - platformFee
                - platformFeeUsd
                - percentageFee
                - percentageFeeUsd
              properties:
                fee:
                  type: string
                  description: Total fee amount in token units.
                feeUsd:
                  type: number
                  description: Total fee amount in USD.
                gasFee:
                  $ref: '#/components/schemas/BigDecimalFromString'
                gasFeeUsd:
                  $ref: '#/components/schemas/BigDecimalFromNumber'
                sourceGasFee:
                  $ref: '#/components/schemas/BigDecimalFromString'
                sourceGasFeeUsd:
                  $ref: '#/components/schemas/BigDecimalFromNumber'
                platformFee:
                  type: string
                  description: Platform fee amount in token units.
                platformFeeUsd:
                  type: number
                  description: Platform fee amount in USD.
                percentageFee:
                  type: string
                  description: Percentage-based fee amount in token units.
                percentageFeeUsd:
                  type: number
                  description: Percentage-based fee amount in USD.
              additionalProperties: false
              description: Sponsored fees breakdown (optional).
          additionalProperties: false
          description: Breakdown of all fees associated with the transaction.
        promotion:
          type: object
          required:
            - name
            - maxLimitUsd
          properties:
            name:
              type: string
            maxLimitUsd:
              anyOf:
                - $ref: '#/components/schemas/BigDecimalFromNumber'
                - type: 'null'
          additionalProperties: false
          description: Promotion details if applicable (optional).
        gasBoost:
          type: object
          required:
            - amountNative
            - amountNativeUsd
            - amountNativeTokenCost
          properties:
            amountNative:
              $ref: '#/components/schemas/BigDecimalFromString'
            amountNativeUsd:
              $ref: '#/components/schemas/BigDecimalFromNumber'
            amountNativeTokenCost:
              $ref: '#/components/schemas/BigDecimalFromString'
          additionalProperties: false
          description: Gas amount to receive on the destination chain.
        speed:
          type: string
          enum:
            - fast
            - standard
            - slow
          description: Transaction speed (optional).
        estimatedDuration:
          type: number
          description: >-
            Estimated time for the transaction to complete in milliseconds
            (optional).
          title: nonNegative
          minimum: 0
        token:
          type: string
          description: Token symbol or identifier being bridged.
        depositor:
          type: string
          description: The address initiating the bridge transaction.
        recipient:
          type: string
          description: The address to receive the bridged tokens.
        postBridgeData:
          anyOf:
            - $ref: '#/components/schemas/ExtendedPostBridgeData'
            - $ref: '#/components/schemas/StarkwareBtcfiCampaignPostBridgeData'
            - $ref: '#/components/schemas/WirexWrapPostBridgeData'
            - $ref: '#/components/schemas/WirexWrapSandboxPostBridgeData'
            - $ref: '#/components/schemas/StarkwareBtcfiCampaignV2PostBridgeData'
            - $ref: '#/components/schemas/AaveV3SupplyPostBridgeData'
            - $ref: '#/components/schemas/RocketFoundationDepositPostBridgeData'
            - $ref: '#/components/schemas/MapleDepositPostBridgeData'
          description: >-
            Configuration for post-bridge actions (e.g., staking, lending). Must
            be omitted if your client does not have PBA enabled. See
            https://docs.rhino.fi/api-integration/smart-deposits#post-bridge-data
            for details.
        webhookUrl:
          type: string
          description: >-
            Optional URL for webhook notifications when the bridge completes or
            fails.
        expiresAt:
          type: string
          description: Timestamp when the quote expires and can no longer be committed.
        quoteId:
          type: string
          description: Unique identifier for the committed quote.
      additionalProperties: false
    ConnectedBridgeSwapQuoteResponseSchema:
      type: object
      required:
        - _tag
        - chainIn
        - chainOut
        - payAmount
        - payAmountUsd
        - receiveAmount
        - receiveAmountUsd
        - fees
        - tokenIn
        - tokenOut
        - bridgeToken
        - bridgePayAmount
        - bridgePayAmountUsd
        - bridgeReceiveAmount
        - minReceiveAmount
        - minReceiveAmountUsd
        - usdPriceTokenIn
        - usdPriceTokenOut
        - depositor
        - recipient
        - expiresAt
        - quoteId
      properties:
        _tag:
          type: string
          enum:
            - bridgeSwap
        chainIn:
          type: string
          description: The source chain ID
        chainOut:
          type: string
          description: The target chain ID
        payAmount:
          $ref: '#/components/schemas/BigDecimalFromString'
        payAmountUsd:
          $ref: '#/components/schemas/BigDecimalFromNumber'
        receiveAmount:
          $ref: '#/components/schemas/BigDecimalFromString'
        receiveAmountUsd:
          $ref: '#/components/schemas/BigDecimalFromNumber'
        fees:
          type: object
          required:
            - fee
            - feeUsd
            - gasFee
            - gasFeeUsd
            - sourceGasFee
            - sourceGasFeeUsd
            - platformFee
            - platformFeeUsd
            - percentageFee
            - percentageFeeUsd
            - percentageFeeAmount
            - percentageFeeThreshold
          properties:
            fee:
              type: string
              description: Total fee amount in token units.
            feeUsd:
              type: number
              description: Total fee amount in USD.
            gasFee:
              $ref: '#/components/schemas/BigDecimalFromString'
            gasFeeUsd:
              $ref: '#/components/schemas/BigDecimalFromNumber'
            sourceGasFee:
              $ref: '#/components/schemas/BigDecimalFromString'
            sourceGasFeeUsd:
              $ref: '#/components/schemas/BigDecimalFromNumber'
            platformFee:
              type: string
              description: Platform fee amount in token units.
            platformFeeUsd:
              type: number
              description: Platform fee amount in USD.
            percentageFee:
              type: string
              description: Percentage-based fee amount in token units.
            percentageFeeUsd:
              type: number
              description: Percentage-based fee amount in USD.
            percentageFeeAmount:
              anyOf:
                - $ref: '#/components/schemas/BigDecimalFromNumber'
                - type: 'null'
              description: Calculated percentage fee amount (null if not applicable).
            percentageFeeThreshold:
              anyOf:
                - $ref: '#/components/schemas/BigDecimalFromNumber'
                - type: 'null'
              description: >-
                Threshold amount for percentage fee calculation (null if not
                applicable).
            sponsoredFees:
              type: object
              required:
                - fee
                - feeUsd
                - gasFee
                - gasFeeUsd
                - sourceGasFee
                - sourceGasFeeUsd
                - platformFee
                - platformFeeUsd
                - percentageFee
                - percentageFeeUsd
              properties:
                fee:
                  type: string
                  description: Total fee amount in token units.
                feeUsd:
                  type: number
                  description: Total fee amount in USD.
                gasFee:
                  $ref: '#/components/schemas/BigDecimalFromString'
                gasFeeUsd:
                  $ref: '#/components/schemas/BigDecimalFromNumber'
                sourceGasFee:
                  $ref: '#/components/schemas/BigDecimalFromString'
                sourceGasFeeUsd:
                  $ref: '#/components/schemas/BigDecimalFromNumber'
                platformFee:
                  type: string
                  description: Platform fee amount in token units.
                platformFeeUsd:
                  type: number
                  description: Platform fee amount in USD.
                percentageFee:
                  type: string
                  description: Percentage-based fee amount in token units.
                percentageFeeUsd:
                  type: number
                  description: Percentage-based fee amount in USD.
              additionalProperties: false
              description: Sponsored fees breakdown (optional).
          additionalProperties: false
          description: Breakdown of all fees associated with the transaction.
        promotion:
          type: object
          required:
            - name
            - maxLimitUsd
          properties:
            name:
              type: string
            maxLimitUsd:
              anyOf:
                - $ref: '#/components/schemas/BigDecimalFromNumber'
                - type: 'null'
          additionalProperties: false
          description: Promotion details if applicable (optional).
        gasBoost:
          type: object
          required:
            - amountNative
            - amountNativeUsd
            - amountNativeTokenCost
          properties:
            amountNative:
              $ref: '#/components/schemas/BigDecimalFromString'
            amountNativeUsd:
              $ref: '#/components/schemas/BigDecimalFromNumber'
            amountNativeTokenCost:
              $ref: '#/components/schemas/BigDecimalFromString'
          additionalProperties: false
          description: Gas amount to receive on the destination chain.
        speed:
          type: string
          enum:
            - fast
            - standard
            - slow
          description: Transaction speed (optional).
        estimatedDuration:
          type: number
          description: >-
            Estimated time for the transaction to complete in milliseconds
            (optional).
          title: nonNegative
          minimum: 0
        tokenIn:
          type: string
          description: Token symbol or identifier being sent from the source chain.
        tokenOut:
          type: string
          description: Token symbol or identifier being received on the destination chain.
        bridgeToken:
          type: string
          description: Intermediate token used for the bridge operation.
        bridgePayAmount:
          $ref: '#/components/schemas/BigDecimalFromString'
        bridgePayAmountUsd:
          $ref: '#/components/schemas/BigDecimalFromNumber'
        bridgeReceiveAmount:
          $ref: '#/components/schemas/BigDecimalFromString'
        minReceiveAmount:
          $ref: '#/components/schemas/BigDecimalFromString'
        minReceiveAmountUsd:
          $ref: '#/components/schemas/BigDecimalFromNumber'
        usdPriceTokenIn:
          $ref: '#/components/schemas/BigDecimalFromNumber'
        usdPriceTokenOut:
          $ref: '#/components/schemas/BigDecimalFromNumber'
        isAtomicSwap:
          type: boolean
          description: Whether this is an atomic swap operation (optional).
        depositor:
          type: string
          description: The address initiating the bridge transaction.
        recipient:
          type: string
          description: The address to receive the bridged tokens.
        postBridgeData:
          anyOf:
            - $ref: '#/components/schemas/ExtendedPostBridgeData'
            - $ref: '#/components/schemas/StarkwareBtcfiCampaignPostBridgeData'
            - $ref: '#/components/schemas/WirexWrapPostBridgeData'
            - $ref: '#/components/schemas/WirexWrapSandboxPostBridgeData'
            - $ref: '#/components/schemas/StarkwareBtcfiCampaignV2PostBridgeData'
            - $ref: '#/components/schemas/AaveV3SupplyPostBridgeData'
            - $ref: '#/components/schemas/RocketFoundationDepositPostBridgeData'
            - $ref: '#/components/schemas/MapleDepositPostBridgeData'
          description: >-
            Configuration for post-bridge actions (e.g., staking, lending). Must
            be omitted if your client does not have PBA enabled. See
            https://docs.rhino.fi/api-integration/smart-deposits#post-bridge-data
            for details.
        webhookUrl:
          type: string
          description: >-
            Optional URL for webhook notifications when the bridge completes or
            fails.
        expiresAt:
          type: string
          description: Timestamp when the quote expires and can no longer be committed.
        quoteId:
          type: string
          description: Unique identifier for the committed quote.
      additionalProperties: false
    ConnectedDepositAddressBridgeQuoteResponseSchema:
      type: object
      required:
        - _tag
        - chainIn
        - chainOut
        - payAmount
        - payAmountUsd
        - receiveAmount
        - receiveAmountUsd
        - fees
        - token
        - depositor
        - recipient
        - expiresAt
        - quoteId
      properties:
        _tag:
          type: string
          enum:
            - depositAddressBridge
        chainIn:
          type: string
          description: The source chain ID
        chainOut:
          type: string
          description: The target chain ID
        payAmount:
          $ref: '#/components/schemas/BigDecimalFromString'
        payAmountUsd:
          $ref: '#/components/schemas/BigDecimalFromNumber'
        receiveAmount:
          $ref: '#/components/schemas/BigDecimalFromString'
        receiveAmountUsd:
          $ref: '#/components/schemas/BigDecimalFromNumber'
        fees:
          type: object
          required:
            - fee
            - feeUsd
            - gasFee
            - gasFeeUsd
            - sourceGasFee
            - sourceGasFeeUsd
            - platformFee
            - platformFeeUsd
            - percentageFee
            - percentageFeeUsd
            - percentageFeeAmount
            - percentageFeeThreshold
          properties:
            fee:
              type: string
              description: Total fee amount in token units.
            feeUsd:
              type: number
              description: Total fee amount in USD.
            gasFee:
              $ref: '#/components/schemas/BigDecimalFromString'
            gasFeeUsd:
              $ref: '#/components/schemas/BigDecimalFromNumber'
            sourceGasFee:
              $ref: '#/components/schemas/BigDecimalFromString'
            sourceGasFeeUsd:
              $ref: '#/components/schemas/BigDecimalFromNumber'
            platformFee:
              type: string
              description: Platform fee amount in token units.
            platformFeeUsd:
              type: number
              description: Platform fee amount in USD.
            percentageFee:
              type: string
              description: Percentage-based fee amount in token units.
            percentageFeeUsd:
              type: number
              description: Percentage-based fee amount in USD.
            percentageFeeAmount:
              anyOf:
                - $ref: '#/components/schemas/BigDecimalFromNumber'
                - type: 'null'
              description: Calculated percentage fee amount (null if not applicable).
            percentageFeeThreshold:
              anyOf:
                - $ref: '#/components/schemas/BigDecimalFromNumber'
                - type: 'null'
              description: >-
                Threshold amount for percentage fee calculation (null if not
                applicable).
            sponsoredFees:
              type: object
              required:
                - fee
                - feeUsd
                - gasFee
                - gasFeeUsd
                - sourceGasFee
                - sourceGasFeeUsd
                - platformFee
                - platformFeeUsd
                - percentageFee
                - percentageFeeUsd
              properties:
                fee:
                  type: string
                  description: Total fee amount in token units.
                feeUsd:
                  type: number
                  description: Total fee amount in USD.
                gasFee:
                  $ref: '#/components/schemas/BigDecimalFromString'
                gasFeeUsd:
                  $ref: '#/components/schemas/BigDecimalFromNumber'
                sourceGasFee:
                  $ref: '#/components/schemas/BigDecimalFromString'
                sourceGasFeeUsd:
                  $ref: '#/components/schemas/BigDecimalFromNumber'
                platformFee:
                  type: string
                  description: Platform fee amount in token units.
                platformFeeUsd:
                  type: number
                  description: Platform fee amount in USD.
                percentageFee:
                  type: string
                  description: Percentage-based fee amount in token units.
                percentageFeeUsd:
                  type: number
                  description: Percentage-based fee amount in USD.
              additionalProperties: false
              description: Sponsored fees breakdown (optional).
          additionalProperties: false
          description: Breakdown of all fees associated with the transaction.
        promotion:
          type: object
          required:
            - name
            - maxLimitUsd
          properties:
            name:
              type: string
            maxLimitUsd:
              anyOf:
                - $ref: '#/components/schemas/BigDecimalFromNumber'
                - type: 'null'
          additionalProperties: false
          description: Promotion details if applicable (optional).
        gasBoost:
          type: object
          required:
            - amountNative
            - amountNativeUsd
            - amountNativeTokenCost
          properties:
            amountNative:
              $ref: '#/components/schemas/BigDecimalFromString'
            amountNativeUsd:
              $ref: '#/components/schemas/BigDecimalFromNumber'
            amountNativeTokenCost:
              $ref: '#/components/schemas/BigDecimalFromString'
          additionalProperties: false
          description: Gas amount to receive on the destination chain.
        speed:
          type: string
          enum:
            - fast
            - standard
            - slow
          description: Transaction speed (optional).
        estimatedDuration:
          type: number
          description: >-
            Estimated time for the transaction to complete in milliseconds
            (optional).
          title: nonNegative
          minimum: 0
        token:
          type: string
        depositor:
          type: string
          description: The address initiating the bridge transaction.
        recipient:
          type: string
          description: The address to receive the bridged tokens.
        postBridgeData:
          anyOf:
            - $ref: '#/components/schemas/ExtendedPostBridgeData'
            - $ref: '#/components/schemas/StarkwareBtcfiCampaignPostBridgeData'
            - $ref: '#/components/schemas/WirexWrapPostBridgeData'
            - $ref: '#/components/schemas/WirexWrapSandboxPostBridgeData'
            - $ref: '#/components/schemas/StarkwareBtcfiCampaignV2PostBridgeData'
            - $ref: '#/components/schemas/AaveV3SupplyPostBridgeData'
            - $ref: '#/components/schemas/RocketFoundationDepositPostBridgeData'
            - $ref: '#/components/schemas/MapleDepositPostBridgeData'
          description: >-
            Configuration for post-bridge actions (e.g., staking, lending). Must
            be omitted if your client does not have PBA enabled. See
            https://docs.rhino.fi/api-integration/smart-deposits#post-bridge-data
            for details.
        webhookUrl:
          type: string
          description: >-
            Optional URL for webhook notifications when the bridge completes or
            fails.
        expiresAt:
          type: string
          description: Timestamp when the quote expires and can no longer be committed.
        quoteId:
          type: string
          description: Unique identifier for the committed quote.
      additionalProperties: false
    HttpApiDecodeError:
      type: object
      required:
        - issues
        - message
        - _tag
      properties:
        issues:
          type: array
          items:
            $ref: '#/components/schemas/Issue'
        message:
          type: string
        _tag:
          type: string
          enum:
            - HttpApiDecodeError
      additionalProperties: false
      description: The request did not match the expected schema
    InvalidJwt:
      type: object
      required:
        - message
        - _tag
      properties:
        message:
          type: string
        _tag:
          type: string
          enum:
            - InvalidJwt
      additionalProperties: false
    Unauthorized:
      type: object
      required:
        - message
        - _tag
      properties:
        message:
          type: string
        _tag:
          type: string
          enum:
            - Unauthorized
      additionalProperties: false
    WithdrawLimitReached:
      type: object
      required:
        - token
        - chain
        - receiveAmount
        - maxWithdrawAmount
        - _tag
      properties:
        token:
          type: string
        chain:
          type: string
        receiveAmount:
          $ref: '#/components/schemas/BigDecimal'
        maxWithdrawAmount:
          $ref: '#/components/schemas/BigDecimal'
        _tag:
          type: string
          enum:
            - WithdrawLimitReached
      additionalProperties: false
    DepositLimitReached:
      type: object
      required:
        - token
        - chain
        - payAmount
        - maxDepositAmount
        - _tag
      properties:
        token:
          type: string
        chain:
          type: string
        payAmount:
          $ref: '#/components/schemas/BigDecimal'
        maxDepositAmount:
          $ref: '#/components/schemas/BigDecimal'
        payAmountUsd:
          $ref: '#/components/schemas/BigDecimal'
        maxDepositAmountUsd:
          $ref: '#/components/schemas/BigDecimal'
        _tag:
          type: string
          enum:
            - DepositLimitReached
      additionalProperties: false
    GasBoostGreaterThanReceiveAmount:
      type: object
      required:
        - amountNativeTokenCost
        - receiveAmount
        - _tag
      properties:
        amountNativeTokenCost:
          type: string
        receiveAmount:
          type: string
        _tag:
          type: string
          enum:
            - GasBoostGreaterThanReceiveAmount
      additionalProperties: false
    NegativeReceiveAmount:
      type: object
      required:
        - receiveAmount
        - _tag
      properties:
        receiveAmount:
          type: string
        _tag:
          type: string
          enum:
            - NegativeReceiveAmount
      additionalProperties: false
    SdaDepositLimitExceeded:
      type: object
      required:
        - token
        - chainIn
        - chainOut
        - payAmountUsd
        - maxDepositAmountUsd
        - _tag
      properties:
        token:
          type: string
        chainIn:
          type: string
        chainOut:
          type: string
        payAmountUsd:
          $ref: '#/components/schemas/BigDecimal'
        maxDepositAmountUsd:
          $ref: '#/components/schemas/BigDecimal'
        _tag:
          type: string
          enum:
            - SdaDepositLimitExceeded
      additionalProperties: false
    SdaDepositBelowMinimum:
      type: object
      required:
        - token
        - chainIn
        - chainOut
        - payAmountUsd
        - minDepositAmountUsd
        - _tag
      properties:
        token:
          type: string
        chainIn:
          type: string
        chainOut:
          type: string
        payAmountUsd:
          $ref: '#/components/schemas/BigDecimal'
        minDepositAmountUsd:
          $ref: '#/components/schemas/BigDecimal'
        _tag:
          type: string
          enum:
            - SdaDepositBelowMinimum
      additionalProperties: false
    InvalidRequest:
      type: object
      required:
        - message
        - _tag
      properties:
        message:
          type: string
        _tag:
          type: string
          enum:
            - InvalidRequest
      additionalProperties: false
    NonNegativeInt:
      type: integer
      description: an integer
      title: int
      minimum: 0
    StarknetFelt:
      type: string
      description: a string that will be trimmed
    BigDecimalFromNumber:
      type: number
      description: a number to be decoded into a BigDecimal
    Issue:
      type: object
      required:
        - _tag
        - path
        - message
      properties:
        _tag:
          type: string
          enum:
            - Pointer
            - Unexpected
            - Missing
            - Composite
            - Refinement
            - Transformation
            - Type
            - Forbidden
          description: The tag identifying the type of parse issue
        path:
          type: array
          items:
            $ref: '#/components/schemas/PropertyKey'
          description: The path to the property where the issue occurred
        message:
          type: string
          description: A descriptive message explaining the issue
      additionalProperties: false
      description: >-
        Represents an error encountered while parsing a value to match the
        schema
    BigDecimal:
      type: string
      description: a string to be decoded into a BigDecimal
    PropertyKey:
      anyOf:
        - type: string
        - type: number
        - type: object
          required:
            - _tag
            - key
          properties:
            _tag:
              type: string
              enum:
                - symbol
            key:
              type: string
          additionalProperties: false
          description: an object to be decoded into a globally shared symbol
  securitySchemes:
    bearer:
      description: JWT token for authentication
      type: http
      scheme: bearer
    legacyApiKey:
      type: apiKey
      name: authorization
      in: header

````